SoSceneTextureCubeMap(3)

NAME
SoSceneTextureCubeMap - Renders a scene into a texture cube map.

SYNOPSIS

#include <Inventor/nodes/SoSceneTextureCubeMap.h>

Inherits SoNode.

  Public Types
enum Model { MODULATE = SoMultiTextureImageElement::MODULATE, DECAL = SoMultiTextureImageElement::DECAL, BLEND = SoMultiTextureImageElement::BLEND, REPLACE = SoMultiTextureImageElement::REPLACE }
enum Wrap { REPEAT = SoMultiTextureImageElement::REPEAT, CLAMP = SoMultiTextureImageElement::CLAMP }
enum TransparencyFunction { NONE, ALPHA_BLEND, ALPHA_TEST }

  Public Member Functions
virtual SoType getTypeId (void) const
SoSceneTextureCubeMap (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void rayPick (SoRayPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec2s size
SoSFNode scene
SoSFEnum wrapS
SoSFEnum wrapT
SoSFEnum wrapR
SoSFEnum model
SoSFColor backgroundColor
SoSFEnum transparencyFunction
SoSFColor blendColor

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoSceneTextureCubeMap ()
virtual void notify (SoNotList *list)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

Renders a scene into a texture cube map.

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoSceneTextureCubeMap::SoSceneTextureCubeMap (void)
Constructor.

  SoSceneTextureCubeMap::~SoSceneTextureCubeMap () [protected], [virtual]
Destructor. Frees up internal resources used to store texture image data.

Member Function Documentation

  SoType SoSceneTextureCubeMap::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSceneTextureCubeMap::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoSceneTextureCubeMap::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoSceneTextureCubeMap::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoSceneTextureCubeMap::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoSceneTextureCubeMap::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoSceneTextureCubeMap::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoSceneTextureCubeMap::rayPick (SoRayPickAction * action) [virtual]
Action method for SoRayPickAction.

Checks the ray specification of the action and tests for intersection with the data of the node.

Nodes influencing relevant state variables for how picking is done also override this method.

Reimplemented from SoNode.

  void SoSceneTextureCubeMap::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoNode.

Author

Generated automatically by Doxygen for Coin from the source code.